## freefem++ 3.13.3

=== debian/changelog ===
freefem++ (3.13.3-1) unstable; urgency=low

  * Add patch for the location of file freefem++.pref.
  * New upstream release.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Tue, 9 Aug 2011 15:31:00 +0300

freefem++ (3.13.2-1) unreleased; urgency=low

  * Revert to gcc-4.6 for building.
  * New upstream release.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 3 Jul 2011 21:51:00 +0300
