=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.2.3~), autotools-dev, gawk, gfortran, 
- flex, bison, libxt-dev, libxext-dev, libxxf86vm-dev,
+ flex, bison, libxt-dev, libxext-dev, libxxf86vm-dev, libhypre-dev, 
  libxpm-dev, mpi-default-dev, libfftw3-dev, libblas-dev, libgsl0-dev,
  libarpack2-dev, libsuitesparse-dev, libsuperlu3-dev, imagemagick, 
- libfltk1.1-dev, freeglut3-dev, texlive, texlive-extra-utils, 
- texlive-latex-extra, texlive-font-utils,
- libmumps-dev, libblacs-mpi-dev, libscalapack-mpi-dev,
- libscotch-dev, ghostscript, libptscotch-dev
+ libfltk1.3-dev | libfltk-dev, freeglut3-dev, texlive, texlive-extra-utils, 
+ texlive-latex-extra, texlive-font-utils, libmumps-ptscotch-dev,
+ libmumps-dev, libblacs-mpi-dev, libscalapack-mpi-dev, 
+ libscotch-dev, ghostscript, libptscotch-dev, libmumps-scotch-dev
 Standards-Version: 3.9.2
 Homepage: http://www.freefem.org/ff++/
 Vcs-Git: git://git.debian.org/debian-science/packages/freefempp.git
